const fs = require('fs')
let moment = require('moment-timezone')
let _ = require('lodash')
const uuid = require('uniqid')
let pairs = ''

let files=[]
init()


async function init() {




    let com = await fs.readFileSync('newCom.json', 'utf8');
    files = await fs.readdirSync('E:\\YashilFinal')
    com = JSON.parse(com)
    console.log(com)
    for (let i = 0; i < com.length; i++) {
renamer(com[i].config,com[i].uniq)

    }



}

async function renamer(config,newName)
{
    for (let i=0;i<files.length;i++)
    {
        if (files[i].includes(config+'_'))
            await fs.renameSync('E:\\YashilFinal\\'+files[i],'E:\\YashilFinal\\'+config+'_'+newName+'.csv' )
    }
}

function isUpper(str) {
    return !/[a-z]/.test(str) && /[A-Z]/.test(str);
}

function capital(t) {
    let f = ''
    for (let j = 0; j < t.length; j++)
        if (isUpper(t[j]))
            f = f + t[j]

    return f
}

function createRunResfileADV(data) {
    // console.log(data)
    return new Promise(function (resolve, reject) {
        fs.writeFile(pairs + '_TOP.csv', data, 'utf8', function (err) {
            if (err) reject(err);
            else resolve(data);
        });
    });
}

function createComResfileADV(data) {
    // console.log(data)
    return new Promise(function (resolve, reject) {
        fs.writeFile('newCom.json', data, 'utf8', function (err) {
            if (err) reject(err);
            else resolve(data);
        });
    });
}

function createfinalADV(data) {
    // console.log(data)
    return new Promise(function (resolve, reject) {
        fs.writeFile('final.json', data, 'utf8', function (err) {
            if (err) reject(err);
            else resolve(data);
        });
    });
}

function found(indicator,pair, lp) {
    // console.log(indicator,lp)
    let res=[]

    if (indicator ===2)
        res=res2
    else if (indicator ===3)
        res=res3
    else if (indicator ===4)
        res =res4

    if (res.length ===0)
        return {timeframe: 0}
    for (let i = 0; i < res.length; i++) {
        if (!res[i].includes(lp + '_'))
            continue


        let d = res[i].split(',')
        let timeframe = d[13]
        timeframe=timeframe.split(' ')
        let newTimeframe='0d '
        for (let z=1;z<timeframe.length;z++)
        {
            newTimeframe=newTimeframe+timeframe[z]
            if (z !== timeframe.length-1)
                newTimeframe=newTimeframe+' '
        }

        if (indicator ===2)
            return {timeframe: newTimeframe,nAtrPeriod:d[15],dAtrMultiplier:d[17]}
        if (indicator ===3)
            return {timeframe: newTimeframe,nStochPeriod:d[15],nStochSmoothingPeriod:d[16],dOttPercent:d[18]}
        if (indicator ===4)
            return {timeframe: newTimeframe,nMidLnMaPeriod:d[14],dMultiplier:d[15]}

        // timeframe=newTimeframe
        // let nStochPeriod=parseFloat(d[15])
        // let nStochSmoothingPeriod=parseFloat(d[16])
        // let dOttPercent=parseFloat(d[18])
        //
        // let name = d[92]

        // return {name, timeframe, nStochPeriod, nStochSmoothingPeriod, dOttPercent}
        return {timeframe}

    }
}

function createConfigYashilADV(name,data) {
    // console.log(data)
    return new Promise(function (resolve, reject) {
        fs.writeFile( 'YConfig/'+name+'.txt', data, 'utf8', function (err) {
            if (err) reject(err);
            else resolve(data);
        });
    });
}




